Qt 5.6 | Qt GUI | C++ Classes | QMatrix4x4

Qt 5.6.2 Reference Documentation

# Obsolete Members for QMatrix4x4

The following members of class QMatrix4x4 are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | flipCoordinates()

## Related Non-Members

`(obsolete)` QGenericMatrix<N, M, float> | qGenericMatrixFromMatrix4x4(const QMatrix4x4 &matrix)
`(obsolete)` QMatrix4x4 | qGenericMatrixToMatrix4x4(const QGenericMatrix<N, M, float> &matrix)

## Member Function Documentation

### void QMatrix4x4::flipCoordinates()

Flips between right-handed and left-handed coordinate systems by multiplying the y and z co-ordinates by -1. This is normally used to create a left-handed orthographic view without scaling the viewport as ortho() does.

See also ortho().

## Related Non-Members

### QGenericMatrix<N, M, float> qGenericMatrixFromMatrix4x4(const QMatrix4x4 &matrix)

Returns a NxM generic matrix constructed from the left-most N columns and top-most M rows of matrix. If N or M is greater than 4, then the remaining elements are filled with elements from the identity matrix.

See also QMatrix4x4::toGenericMatrix().

### QMatrix4x4 qGenericMatrixToMatrix4x4(const QGenericMatrix<N, M, float> &matrix)

Returns a 4x4 matrix constructed from the left-most 4 columns and top-most 4 rows of matrix. If matrix has less than 4 columns or rows, the remaining elements are filled with elements from the identity matrix.